%define languageenglazy Hindi
%define languagecode    hi
%define lc_ctype        hi_IN

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.4.2
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://hunspell.sourceforge.net
Source0:        https://addons.mozilla.org/firefox/downloads/file/1163888/hindi_spell_checker-%{version}webext.xpi?src=dp-btn-primary#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hi
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/hi*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/hi*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 1:0.4.2-2.mga8
+ Revision: 1537768
- Mageia 8 Mass Rebuild

* Sat Nov 09 2019 zezinho <zezinho> 1:0.4.2-1.mga8
+ Revision: 1458922
- new version 0.4.2

* Tue Sep 25 2018 pterjan <pterjan> 1:0.4.1-1.mga7
+ Revision: 1305222
- Add an Epoch as 20050726 is larger than 0.4.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use addons.mozilla.org
- Version 0.4.1
- Fixed file list

* Mon Feb 08 2016 umeabot <umeabot> 20050726-16.mga6
+ Revision: 942993
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20050726-15.mga5
+ Revision: 747101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20050726-14.mga5
+ Revision: 680248
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20050726-13.mga4
+ Revision: 505601
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20050726-12.mga3
+ Revision: 353496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 20050726-11.mga3
+ Revision: 325354
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 20050726-10.mga2
+ Revision: 224659
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 20050726-9.mga2
+ Revision: 207949
- use better obsoleting of myspell

* Fri Jan 20 2012 kamil <kamil> 20050726-8.mga2
+ Revision: 198551
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20050726-7.mga1
+ Revision: 68824
- imported package hunspell-hi


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050726-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Mar 09 2010 Parag <pnemade AT redhat.com> - 20050726-6
- Fix Copyright encoding issue in %%prep

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050726-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050726-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 06 2008 Parag <pnemade@redhat.com> - 20050726-2
- Added Copyright

* Thu Jan 03 2008 Parag <pnemade@redhat.com> - 20050726-1
- Initial Fedora release
